FROM registry.gitlab.com/zilliond/docker-images/php:latest

COPY docker/app-prod/start.sh /usr/local/bin/start
RUN dos2unix /usr/local/bin/start
RUN chmod 777 /usr/local/bin/start
RUN chmod u+x /usr/local/bin/start

RUN apk add --update nano nodejs npm yarn git
COPY docker/app-prod/php.ini $PHP_INI_DIR/php.ini

RUN rm -rf /app
RUN mkdir /app
RUN chown www-data:www-data /app
RUN chown -R www-data:www-data /composer

WORKDIR /app

USER www-data
COPY --chown=www-data:www-data . /app
RUN ls -la
RUN composer install --no-scripts

RUN ls -la

#RUN chown -R www-data:www-data /app

#RUN ls -la


#RUN chown -R www-data:www-data \
#        /app/storage \
#        /app/bootstrap/cache
